# 环境配置
server:
  port: 9018
  servlet:
    context-path: /api/laidi

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false      # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2741708038
  appKey: ding0zl1or1vcgtirtob
  appSecret: p_oYq2uaI4SZ-AatzNIb5N0HgothHqQCyJjlqtoy3UdrRNYL8Dak07sRdSRK4I_W
  corpId: ding9ecc537cefafaf1c35c2f4657eb6378f
  aesKey: gQPE639PBHN7PNIIpKu3smnaISf5oqIfLMIKHyDFwSf
  token: yLQuiiYIBvrzN3tmOduDn
  robotCode:
  operator: "102938654423116841"   # 孙中保 [开头0, 需要转一下字符串]

# h3yun
h3yun:
  engineCode: vqvl30y6teuqgfydfolo4gqo2
  secret: mV17Rp3hqzwiSX9woQBqQyFLJVKuUSDaJclzr7VTlBJbhLZ1XUxTgA==
